Package org.lwjgl.util

# Interface ReadablePoint

All Known Subinterfaces:
  `ReadableRectangle`

All Known Implementing Classes:
  `Point`, `Rectangle`

public interface ReadablePoint
Readonly interface for Points

Version:
  $Revision$ $Id$
Author:
  $Author$

## Method Summary

Modifier and Type
Method
Description
`void`
`getLocation(WritablePoint dest)`
Copy this ReadablePoint into a destination Point
`int`
`getX()`
`int`
`getY()`

## Method Details

### getX

int getX()

Returns:
  int

### getY

int getY()

Returns:
  int

### getLocation

void getLocation(WritablePoint dest)
Copy this ReadablePoint into a destination Point

Parameters:
  `dest` - The destination Point, or null, to create a new Point